import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 文章相关MCP工具
 */
export declare const articleTools: Tool[];
/**
 * 文章工具处理器
 */
export declare class ArticleToolHandler {
    /**
     * 处理获取文章列表
     */
    handleGetArticles(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理搜索文章
     */
    handleSearchArticles(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理文章推荐
     */
    handleGetArticleRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理文章质量分析
     */
    handleAnalyzeArticleQuality(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取热门文章
     */
    handleGetTrendingArticles(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 生成改进建议
     */
    private generateImprovementSuggestions;
}
export declare const articleToolHandler: ArticleToolHandler;
