import type { Tool } from '@modelcontextprotocol/sdk/types.js';
/**
 * 推荐相关MCP工具
 */
export declare const recommendationTools: Tool[];
/**
 * 推荐工具处理器
 */
export declare class RecommendationToolHandler {
    /**
     * 处理获取推荐
     */
    handleGetRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理用户推荐
     */
    handleGetUserRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理生成用户报告
     */
    handleGenerateUserReport(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理更新推荐
     */
    handleUpdateRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取趋势推荐
     */
    handleGetTrendingRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 处理获取简化推荐
     */
    handleGetSimpleRecommendations(args: any): Promise<{
        content: {
            type: string;
            text: string;
        }[];
        isError?: never;
    } | {
        content: {
            type: string;
            text: string;
        }[];
        isError: boolean;
    }>;
    /**
     * 生成简单的文章推荐
     */
    private generateSimpleArticleRecommendations;
    /**
     * 生成简单的沸点推荐
     */
    private generateSimplePinRecommendations;
    /**
     * 计算简单的相关性分数
     */
    private calculateSimpleRelevanceScore;
    /**
     * 计算沸点相关性分数
     */
    private calculateSimplePinRelevanceScore;
    /**
     * 计算人气分数
     */
    private calculatePopularityScore;
    /**
     * 生成简单的推荐理由
     */
    private generateSimpleReason;
    /**
     * 生成沸点推荐理由
     */
    private generateSimplePinReason;
    private analyzeRecentInteractions;
    private extractInterestsFromInteractions;
    private getAlgorithmAdjustments;
    private calculateEngagementLevel;
    private calculateTrendStrength;
    private getHotCategories;
    private getEmergingTopics;
}
export declare const recommendationToolHandler: RecommendationToolHandler;
